SuSE9 Security Update : gdk-pixbuf (YOU Patch Number 9368)

This script is Copyright (C) 2009-2012 Tenable Network Security, Inc.


Synopsis :

The remote SuSE 9 host is missing a security-related patch.

Description :

Three security vulnerabilities have been found in the loader for XPM
images of the GTK library. These issues are :

- Potential heap overflow in pixbuf_create_from_xpm().
(CVE-2004-0782)

- Potential stack overflow in xpm_extract_color().
(CVE-2004-0783)

- Potential integer overflow in the ICO icon format
loader. (CVE-2004-0788)

Depending on the actual application calling the affected library
functions, these bugs may be locally or remotely exploitable.

This update fixes a bug in earlier update packages for the same
problem.

See also :

http://support.novell.com/security/cve/CVE-2004-0782.html
http://support.novell.com/security/cve/CVE-2004-0783.html
http://support.novell.com/security/cve/CVE-2004-0788.html

Solution :

Apply YOU patch number 9368.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 41331 ()

Bugtraq ID:

CVE ID: CVE-2004-0782
CVE-2004-0783
CVE-2004-0788

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now